org.codehaus.groovy.reflection

## Class CachedMethod

- java.lang.Object
- - org.codehaus.groovy.reflection.ParameterTypes
  - - groovy.lang.MetaMethod
    - - org.codehaus.groovy.reflection.CachedMethod

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Comparable

    public class CachedMethod
    extends MetaMethod
    implements java.lang.Comparable

### Field Summary

Fields
`CachedClass` `cachedClass`

### Fields inherited from class org.codehaus.groovy.reflection.ParameterTypes

`isVargsMethod, nativeParamTypes, parameterTypes`

### Constructor Summary

Constructors
Constructor and Description
`CachedMethod(CachedClass clazz, java.lang.reflect.Method method)`
`CachedMethod(java.lang.reflect.Method method)`

### Method Summary

Methods
`int` `compareTo(java.lang.Object o)`
`CallSite` `createPogoMetaMethodSite(CallSite site, MetaClassImpl metaClass, java.lang.Class[] params)`
`CallSite` `createPojoMetaMethodSite(CallSite site, MetaClassImpl metaClass, java.lang.Class[] params)`
`CallSite` `createStaticMetaMethodSite(CallSite site, MetaClassImpl metaClass, java.lang.Class[] params)`
`boolean` `equals(java.lang.Object o)`
`static CachedMethod` `find(java.lang.reflect.Method method)`
`java.lang.reflect.Method` `getCachedMethod()`
`CachedClass` `getDeclaringClass()`
`java.lang.String` `getDescriptor()`
`int` `getModifiers()`
`java.lang.String` `getName()`
`int` `getParamsCount()`
`ParameterTypes` `getParamTypes()`
`protected java.lang.Class[]` `getPT()`
`java.lang.Class` `getReturnType()`
`java.lang.String` `getSignature()`
`int` `hashCode()`
`java.lang.Object` `invoke(java.lang.Object object, java.lang.Object[] arguments)`
`boolean` `isStatic()`
`java.lang.reflect.Method` `setAccessible()`
`java.lang.String` `toString()`

### Methods inherited from class groovy.lang.MetaMethod

`checkParameters, clone, doMethodInvoke, equal, equal, getMopName, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, processDoMethodInvokeException`

### Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes

`coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### cachedClass

    public final CachedClass cachedClass

### Constructor Detail

#### CachedMethod

    public CachedMethod(CachedClass clazz,
                java.lang.reflect.Method method)

#### CachedMethod

    public CachedMethod(java.lang.reflect.Method method)

### Method Detail

#### find

    public static CachedMethod find(java.lang.reflect.Method method)

#### getPT

    protected java.lang.Class[] getPT()

Overrides:
  `getPT` in class `ParameterTypes`

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in class `MetaMethod`

#### getDescriptor

    public java.lang.String getDescriptor()

Overrides:
  `getDescriptor` in class `MetaMethod`

#### getDeclaringClass

    public CachedClass getDeclaringClass()

Specified by:
  `getDeclaringClass` in class `MetaMethod`

#### invoke

    public final java.lang.Object invoke(java.lang.Object object,
                          java.lang.Object[] arguments)

Specified by:
  `invoke` in class `MetaMethod`

#### getParamTypes

    public ParameterTypes getParamTypes()

#### getReturnType

    public java.lang.Class getReturnType()

Specified by:
  `getReturnType` in class `MetaMethod`

#### getParamsCount

    public int getParamsCount()

#### getModifiers

    public int getModifiers()

Specified by:
  `getModifiers` in class `MetaMethod`

#### getSignature

    public java.lang.String getSignature()

Overrides:
  `getSignature` in class `MetaMethod`

#### setAccessible

    public final java.lang.reflect.Method setAccessible()

#### isStatic

    public boolean isStatic()

Overrides:
  `isStatic` in class `MetaMethod`

#### compareTo

    public int compareTo(java.lang.Object o)

Specified by:
  `compareTo` in interface `java.lang.Comparable`

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `MetaMethod`

#### createPogoMetaMethodSite

    public CallSite createPogoMetaMethodSite(CallSite site,
                                    MetaClassImpl metaClass,
                                    java.lang.Class[] params)

#### createPojoMetaMethodSite

    public CallSite createPojoMetaMethodSite(CallSite site,
                                    MetaClassImpl metaClass,
                                    java.lang.Class[] params)

#### createStaticMetaMethodSite

    public CallSite createStaticMetaMethodSite(CallSite site,
                                      MetaClassImpl metaClass,
                                      java.lang.Class[] params)

#### getCachedMethod

    public java.lang.reflect.Method getCachedMethod()